PHP Manual
Prev |  | Next

# ncurses_doupdate

(PHP 4 >= 4.1.0, PHP 5)

ncurses_doupdate -- Write all prepared refreshes to terminal

## Description

bool ncurses_doupdate ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Compares the virtual screen to the physical screen and updates the physical screen. This way is more effective than using multiple refresh calls.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
ncurses_delwin | Up | ncurses_echo